:root{
    --verde: #407481;
    --verde-escuro: #315C65;
    --dourado: #A49344;

    --creme: #F7F5EF;
    --creme-escuro: #ECE8DA;

    --branco: #FFFFFF;
    --texto: #35484B;
    --texto-claro: #718083;

    --sombra: 0 20px 60px rgba(48, 74, 78, .12);
}

/* RESET */

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:"DM Sans", sans-serif;
    background:var(--creme);
    color:var(--texto);
    line-height:1.6;
}

img{
    width:100%;
    display:block;
}

.container{
    width:min(1180px, 90%);
    margin:auto;
}


/* =========================
   HEADER
========================= */

header{
    position:absolute;
    width:100%;
    top:0;
    left:0;
    z-index:20;
    padding:25px 0;
}

nav{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.logo{
    color:var(--verde);
    font-size:1.45rem;
    font-weight:700;
    letter-spacing:.5px;
}

.logo span{
    color:var(--dourado);
}

nav ul{
    display:flex;
    list-style:none;
    gap:35px;
    margin:auto;
    color: var(--verde-escuro);
}

nav a{
    color:var(--texto);
    text-decoration:none;
    font-size:.95rem;
    transition:.3s;
}

nav a:hover{
    color:var(--dourado);
}


/* =========================
   HERO
========================= */

.hero{
    min-height:100vh;
    display:grid;
    grid-template-columns: .9fr 1.1fr;
    align-items:center;
    gap:70px;
    padding-top:100px;
}

.hero-content{
    max-width:540px;
}

.tag{
    display:inline-flex;
    align-items:center;
    gap:8px;
    margin:auto;
    background:#A4934415;
    color:var(--dourado);

    padding:8px 15px;
    border-radius:50px;

    font-size:.8rem;
    font-weight:600;

    margin-bottom:25px;
}

.tag::before{
    content:"";
    width:7px;
    height:7px;
    border-radius:50%;
    background:var(--dourado);
}

.hero h1{
    font-family:"Playfair Display", serif;
    font-size:clamp(3rem, 5vw, 5rem);
    line-height:1.05;
    color:var(--verde);
    margin-bottom:25px;
}

.hero h1 span{
    color:var(--dourado);
}

.hero p{
    color:var(--texto-claro);
    font-size:1.05rem;
    max-width:500px;
    margin-bottom:35px;
}


/* BOTÕES */

.buttons{
    display:flex;
    align-items:center;
    gap:15px;
}

.btn{
    display:inline-flex;
    align-items:center;
    justify-content:center;

    padding:15px 27px;

    border-radius:50px;

    border:none;
    text-decoration:none;

    font-family:inherit;
    font-weight:600;

    cursor:pointer;

    transition:.3s;
}

.btn-primary{
    background:var(--verde);
    color:white;

    box-shadow:0 12px 25px rgba(64,116,129,.25);
}

.btn-primary:hover{
    background:var(--verde-escuro);
    transform:translateY(-3px);
}

.btn-secondary{
    color:var(--verde);
    background:transparent;
    border:1px solid #40748155;
}

.btn-secondary:hover{
    background:white;
}


/* =========================
   CARROSSEL
========================= */

.carousel{
    position:relative;
    width:100%;
    height:560px;

    border-radius:35px;

    overflow:hidden;

    background:var(--creme-escuro);

    box-shadow:var(--sombra);
}

.slide{
    position:absolute;
    inset:0;

    opacity:0;

    transition:
        opacity .8s ease,
        transform 5s ease;

    transform:scale(1.04);
}

.slide.active{
    opacity:1;
    transform:scale(1);
}

.slide img{
    width:100%;
    height:100%;
    object-fit:cover;
}


/* Gradiente sobre imagem */

.carousel::after{
    content:"";

    position:absolute;
    inset:0;

    background:
        linear-gradient(
            to top,
            rgba(38,55,58,.45),
            transparent 45%
        );

    pointer-events:none;
}


/* Setas */

.carousel-button{
    position:absolute;

    top:50%;
    transform:translateY(-50%);

    width:48px;
    height:48px;

    border-radius:50%;

    border:1px solid rgba(255,255,255,.5);

    background:rgba(255,255,255,.75);

    backdrop-filter:blur(10px);

    color:var(--verde);

    font-size:20px;

    cursor:pointer;

    z-index:5;

    transition:.3s;
}

.carousel-button:hover{
    background:white;
    transform:translateY(-50%) scale(1.08);
}

.prev{
    left:20px;
}

.next{
    right:20px;
}


/* Indicadores */

.dots{
    position:absolute;

    bottom:25px;
    left:50%;

    transform:translateX(-50%);

    display:flex;
    gap:8px;

    z-index:5;
}

.dot{
    width:8px;
    height:8px;

    border-radius:50%;

    border:none;

    background:rgba(255,255,255,.6);

    cursor:pointer;

    transition:.3s;
}

.dot.active{
    width:25px;
    border-radius:10px;

    background:var(--dourado);
}


/* =========================
   INTRO
========================= */

.intro{
    padding:120px 0;
    text-align:center;
}

.intro-content{
    max-width:80%;
    margin:auto;
}

.intro-content span{
    color:var(--dourado);
}

.eyebrow{
    color:var(--dourado);
    font-size:.8rem;
    font-weight:700;
    letter-spacing:2px;
    text-transform:uppercase;
    margin-bottom:15px;
    max-width:80%;
    margin:auto;
    text-align: center;
}

.intro h2,
.section-title{
    font-family:"Playfair Display", serif;
    color:var(--verde);
    font-size:clamp(2.2rem,4vw,3.5rem);
    line-height:1.15;
    margin-bottom:20px;
    text-align: center;
    max-width:80%;
    margin:auto;
}

.section-title span{
    color:var(--dourado);
}

.intro p{
    color:var(--texto-claro);
}


/* =========================
   CARDS
========================= */

.features{
    padding:100px 0;
}

.section-header{
    display:flex;
    justify-content:space-between;
    align-items:end;
    margin-bottom:20px;
    max-width:80%;
    margin:auto;
    text-align: center;
}

.section-header p{
    max-width:80%;
    margin:auto;
    color:var(--texto-claro);
}

.section-header h2,
.section-title{
    font-family:"Playfair Display", serif;
    color:var(--verde);
    font-size:clamp(2.2rem,4vw,3.5rem);
    line-height:1.15;
    margin-bottom:20px;
    max-width:80%;
    margin:auto;
}

.cards{
    display:grid;
    grid-template-columns:
        repeat(3,1fr);
    gap:25px;
}

.card{
    background:white;
    padding:35px;
    border-radius:25px;
    box-shadow:
        0 10px 35px rgba(48,74,78,.06);
    transition:.35s;
}

.card:hover{
    transform:translateY(-8px);
    box-shadow:
        0 20px 45px rgba(48,74,78,.12);
}

.card-number{
    color:var(--dourado);
    font-family:"Playfair Display", serif;
    font-size:2rem;
    margin-bottom:20px;
}

.card h3{
    color:var(--verde);
    font-size:1.2rem;
    margin-bottom:12px;
}

.card p{
    color:var(--texto-claro);
    font-size:.95rem;
}


/* =========================
   GALERIA
========================= */

.gallery{
    padding:100px 0;
}

.gallery-grid{
    display:grid;

    grid-template-columns:
        1.4fr 1fr 1fr;

    grid-template-rows:
        250px 250px;

    gap:20px;
}

.gallery-item{
    position:relative;

    overflow:hidden;

    border-radius:25px;

    background:var(--creme-escuro);
}

.gallery-item:first-child{
    grid-row:span 2;
}

.gallery-item img{
    height:100%;
    object-fit:cover;

    transition:.6s;
}

.gallery-item:hover img{
    transform:scale(1.06);
}

.gallery-item::after{
    content:"";

    position:absolute;
    inset:0;

    background:
        linear-gradient(
            to top,
            rgba(38,55,58,.35),
            transparent 60%
        );
}


/* =========================
   CTA
========================= */

.cta{
    padding:100px 0 120px;
}

.cta-box{
    position:relative;

    overflow:hidden;

    text-align:center;

    padding:80px 30px;

    border-radius:35px;

    background:var(--verde);

    color:white;
}

.cta-box::before{
    content:"";

    position:absolute;

    width:350px;
    height:350px;

    border-radius:50%;

    background:#A4934430;

    top:-200px;
    right:-100px;
}

.cta-box h2{
    position:relative;

    font-family:"Playfair Display", serif;

    font-size:3rem;

    margin-bottom:15px;
}

.cta-box p{
    position:relative;

    max-width:600px;

    margin:0 auto 30px;

    opacity:.85;
}

.cta-box .btn{
    position:relative;

    background:var(--dourado);
    color:white;
}

.cta-box .btn:hover{
    background:#B2A25A;
    transform:translateY(-3px);
}


/* =========================
   FOOTER
========================= */

footer{
    padding:35px 0;
    border-top:1px solid #40748118;
    color:var(--texto-claro);
    text-align:center;
    font-size:.9rem;
    
}


/* =========================
   RESPONSIVO
========================= */

@media(max-width:950px){

    nav ul{
        display:none;
        margin:auto;
    }

    .hero{
        grid-template-columns:1fr;

        padding-top:140px;

        gap:50px;
    }

    .hero-content{
        text-align:center;
        margin:auto;
    }

    .hero p{
        margin-left:auto;
        margin-right:auto;
    }

    .buttons{
        justify-content:center;
    }

    .carousel{
        height:450px;
    }

    .cards{
        grid-template-columns:1fr;
    }

    .section-header{
        display:block;
    }

    .section-header p{
        margin-top:20px;
    }

    .gallery-grid{
        grid-template-columns:1fr 1fr;
        grid-template-rows:250px 250px;
    }

    .gallery-item:first-child{
        grid-row:span 1;
    }
}

@media(max-width:600px){

    .hero h1{
        font-size:2.8rem;
    }

    .carousel{
        height:350px;
        border-radius:25px;
    }

    .buttons{
        flex-direction:column;
    }

    .btn{
        width:100%;
    }

    .gallery-grid{
        display:grid;
        grid-template-columns:1fr;
        grid-template-rows:repeat(4,220px);
    }

    .intro,
    .features,
    .gallery{
        padding:75px 0;
    }

    .cta{
        padding:60px 0 80px;
    }

    .cta-box{
        padding:60px 25px;
    }

    .cta-box h2{
        font-size:2.3rem;
    }
}

iframe {
    width: 100%;
    height: 500px;
    display:block;
    margin: 0 auto;
    border: 5px solid var(--verde);
}

p {
    text-align: center;
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--verde);
}

form{
    width: 70%; 
    height: 100%;
    margin: 0 auto;
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--verde);
}

/*
#conteudo { 
    width: 400px; 
    height: 300px;
} */
